%define name elvis
%define version 2.1_4
%define release 2mdk

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: Elvis - VI Replacement
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Editors
Url: ftp://ftp.cs.pdx.edu/pub/elvis/
Source: %{name}-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-buildroot
Requires: ctags fmt

%description
Elvis is a clone of vi/ex, the standard UNIX editor. Elvis supports
nearly all of the vi/ex commands, in both visual mode and ex mode.
Elvis adds support for multiple files, multiple windows, a variety of
display modes, on-line help, and other miscellaneous extensions.

%package X11
Summary: Elvis VI Replacement - X11 Interface
Group: Editors
Requires: elvis
%description X11
Elvis is a clone of vi/ex, the standard UNIX editor. Elvis supports
nearly all of the vi/ex commands, in both visual mode and ex mode.
Elvis adds support for multiple files, multiple windows, a variety of
display modes, on-line help, and other miscellaneous extensions.

This is the X11 interface for elvis.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
./configure --bindir=/usr/bin --datadir=/usr/lib/elvis --with-x
make
mv elvis xelvis
make clean
./configure --bindir=/usr/bin --datadir=/usr/lib/elvis --with-x=no
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/elvis,man/man1,X11R6/{bin,lib/X11/{bitmaps,pixmaps}}}

install -m 755 elvis $RPM_BUILD_ROOT/usr/bin
install -m 755 xelvis $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 ref $RPM_BUILD_ROOT/usr/bin
#install -m 755 ctags $RPM_BUILD_ROOT/usr/lib/elvis
#install -m 755 fmt $RPM_BUILD_ROOT/usr/lib/elvis
install -m 644 lib/* $RPM_BUILD_ROOT/usr/lib/elvis
install -m 644 guix11/elvis.xbm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/bitmaps/elvis.xbm
install -m 644 guix11/elvis.xpm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/pixmaps/elvis.xpm
install -m 644 lib/elvis.man $RPM_BUILD_ROOT/usr/man/man1/elvis.1
install -m 644 lib/ref.man $RPM_BUILD_ROOT/usr/man/man1/ref.1

%post

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files
%defattr (-,root,root)
%doc README.html COPYING INSTALL BUGS
/usr/bin/*
/usr/man/man1/*
/usr/lib/elvis

%files X11
%defattr (-,root,root)
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/*/*


%changelog
* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1_4-2mdk
- fix group
- fix files sections

* Wed Feb 16 2000 Lenny Cartier <lenny@mandrakesoft.com>
- forgot the mdk, it's done...

* Thu Feb 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v2.1_4
- mandrake build
- remove providing of ctags and fmt

* Thu Dec 10 1998 Ryan Weaver <ryanw@infohwy.com>
  [elvis-2.1-1]
- elvis-2.1 Full Release.
- For full list on changes, see README.html in the doc dir.
- Removed some of the older entries in %changelog

* Thu Nov 19 1998 Ryan Weaver <ryanw@infohwy.com>
  [elvis-2.1j-5]
- Modified spec to reflect Red Hat Contrib|Net requirements.
- Switched from using Fryguy_ to Ryan Weaver
